# Monadoro

A simple pomodoro counter. Type `monadoro` to get started.

![A completed session of 4 pomodoros.](doc/session_completed.png)

# The goal

The simplest Pomodoro counter, ready to deploy at once on most command-line
platforms to enable you to focus on your work in just a few moments, for weeks
to come.

# The method

There are six steps in the original technique [^cirillo_pomodoro]:

1. Choose a task you'd like to get done,
2. Set the Pomodoro for 25 minutes,
3. Work on the task until the Pomodoro rings,
4. When the Pomodoro rings, put a checkmark on a paper,
5. If you have fewer than four checkmarks, take a short break (3-5 minutes), then go to step 2;
6. After four pomodoros, take a longer break (15-30 minutes), reset your checkmark count to zero, then go to step 1.

# Installing

## Install Stack

To install Stack on Ubuntu, you can use the command `sudo apt install
haskell-stack`.

## Installing Monadoro

Before installing, it is important to update the Stack index using `stack
update`.

Having updated the Stack index, we can now run `stack install Monadoro`, paying
attention to capitalization of the first letter, which is important.

## Test suite dependencies

DocTest 0.16.1 Haskell library requires libtinfo to compile. On Ubuntu,
libtinfo can be installed using the command `apt install libtinfo-dev`.

# Credits

Initial draft of functionality by The Haskell Blog [^haskell_blog] author -
GitHub user Elektroingenieur [^elektroingenieur].

Manpage generation from Markdown courtesy of Jérôme Belleman [^belleman] and
Pandoc [^pandoc] project contributors.

"Pomodoro Technique (illustration)" (CC BY 2.0) by [Michael Zero Mayer](https://www.flickr.com/photos/michael_mayer/6969282632/).

# References

[^cirillo_pomodoro]: [The Pomodoro Technique](https://francescocirillo.com/pages/pomodoro-technique), Francesco Cirillo
[^haskell_blog]: https://haskellblog.wordpress.com/2015/08/05/pomodoro-timer-in-haskell/
[^elektroingenieur]: https://github.com/Elektroingenieur
[^belleman]: http://jeromebelleman.gitlab.io/posts/publishing/manpages/
[^pandoc]: pandoc.org
